On August 10th, we are migrating all Windows Live Messenger Library version 1.0, 2.0, and 2.5 sites to Windows Live Messenger Library version 3.1.

For sites that are using one of these versions of the Windows Live Messenger Library, no work is required.  We will automatically point these older versions to the 3.1 version of the Windows Live Messenger Library.  We already tested that presence and IM work the same between these versions of the Windows Live Messenger Library.  During every version update, we work to ensure that all Windows Live Messenger Library changes made since version 1.0 are backwards compatible.

We are providing one month to report any issues your site experiences on version 3.1 before the migration.  Any issues identified where version 3.1 is not backwards compatible with version 1.0, 2.0 or 2.5 will be given high priority.  Before the migration, we will fix compatibility issues, so you don’t need to change any code on your site.

To test your site using version 3.1, you need to change the script source of your site to point to the 3.1 version of the library.

For example, if you use the 2.0 version of the Windows Live Messenger Library, your script tag should look something like this:

<script src="http://www.wlmessenger.net/api/2.0/messenger.js"></script>

To point to 3.1, this tag needs to be updated to this:

<script src="http://www.wlmessenger.net/api/3.1/messenger.js"></script>

If you experience any issues with the migration from versions 1.0, 2.0, or 2.5 to version 3.1, please let us know in the Messenger Web Toolkit forum.